Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.opal.dev/v1/event-streams \ --header 'Authorization: Bearer <token>'
{ "event_streams": [ { "event_stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "connection": { "name": "<string>", "enabled": true, "webhook_url": "<string>", "credentials": { "api_key_credentials": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "value": "<string>" } ], "hmac_credential_1": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "secret": "<string>", "created_at": "2023-11-07T05:31:56Z" }, "hmac_credential_2": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "secret": "<string>", "created_at": "2023-11-07T05:31:56Z" } } } } ] }
Returns a list of configured event streaming connections for your organization.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
A list of event streams for your organization.
A list of event streams.
Show child attributes
Was this page helpful?
Contact support